Consultar recebíveis disponíveis para antecipação
curl --request GET \
--url https://api.malga.io/v1/subacquirer/prepayment/receivables \
--header 'X-Api-Key: <api-key>' \
--header 'X-Client-Id: <api-key>'import requests
url = "https://api.malga.io/v1/subacquirer/prepayment/receivables"
headers = {
"X-Client-Id": "<api-key>",
"X-Api-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Client-Id': '<api-key>', 'X-Api-Key': '<api-key>'}};
fetch('https://api.malga.io/v1/subacquirer/prepayment/receivables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"summary": {
"availableAmount": 25000,
"receivableCount": 3
},
"receivables": [
{
"id": "019d6afe-c505-70a9-8df0-d052b578b35a",
"settlementDate": "2026-06-15",
"paymentArrangement": "vcc",
"amount": 12000
},
{
"id": "019d6afe-c505-70a9-8df0-d052b578b35b",
"settlementDate": "2026-06-15",
"paymentArrangement": "vcc",
"amount": 8000
},
{
"id": "019d6afe-c505-70a9-8df0-d052b578b35c",
"settlementDate": "2026-06-20",
"paymentArrangement": "mcc",
"amount": 5000
}
]
}{
"error": {
"code": 123,
"declinedCode": "<string>",
"key": "<string>",
"businessCode": "<string>",
"message": "<string>",
"details": "<array>"
}
}{
"code": "I-403",
"networkDeniedMessage": "Client is not eligible for prepayment"
}{
"error": {
"code": 123,
"declinedCode": "<string>",
"key": "<string>",
"businessCode": "<string>",
"message": "<string>",
"details": "<array>"
}
}Prepayment
Consultar recebíveis disponíveis para antecipação
🚧 Beta — esta API está em fase Beta e detalhes do contrato podem evoluir nas próximas versões.
Lista os recebíveis disponíveis para antecipação avulsa e retorna um resumo com o valor total disponível e a quantidade de recebíveis.
Quando sellerId é informado, a consulta é feita sobre os recebíveis do recebedor correspondente. Sem sellerId, opera sobre a conta principal.
GET
/
v1
/
subacquirer
/
prepayment
/
receivables
Consultar recebíveis disponíveis para antecipação
Query Parameters
ID do recebedor para consultar os recebíveis dele.
Was this page helpful?
⌘I